package thesis.algorithms.evolutionary.bivariate.dependecy_graphs;

import thesis.algorithms.evolutionary.bivariate.probability_matrix.IProbabilityMatrix;
import thesis.util.Chromosome;

public interface IDependencyGraph {
	
	void constructDependencyGraph(double[][] chiSquare);
	Chromosome generateNewIndividual(IProbabilityMatrix probabilityMatrix);
	Chromosome[] generateNewIndiviudals(IProbabilityMatrix probabilityMatrix, int size);
}
