package thesis.functions;

import thesis.interfaces.IFunction;

public class GriewangkFunction implements IFunction {

	@Override
	public double calculate(double[] values) {

		double solution = 1;
		double temp = 0;

		for (int i = 0; i < values.length; i++) {
			temp += values[i] * values[i];
		}

		solution += (1 / 4000) * temp;

		temp = 0;
		for (int i = 0; i < values.length; i++) {
			temp += Math.cos(values[i] / Math.sqrt(i));
		}

		return solution;
	}

}
