package thesis.algorithms.evolutionary.bivariate.probability_matrix;

import thesis.util.Chromosome;

public interface IProbabilityMatrix {

	void updateProbabilityMatrix(Chromosome[] individuals, int promisingSolutionsNumber);

	double getJointProbability(int i, int j);

	double[][] getProbabilities();

	double[] getProbabilityVector();
	
	double getProbability(int i);
}
