package thesis.functions;

import thesis.interfaces.IFunction;

public class RosenbrocksValley implements IFunction {

	@Override
	public double calculate(double[] values) {
		
		double solution = 0;
		for (int i = 0; i < values.length - 1; i++) {
			solution += 100 * (values[i + 1] - values[i] * values[i])
					* (values[i + 1] - values[i] * values[i]);
			solution += (1 - values[i]) * (1 - values[i]);
		}
		return solution;
	}

}
