package thesis.functions;

import thesis.interfaces.IFunction;

public class SchwefelFunction implements IFunction {

	@Override
	public double calculate(double[] values) {
		double solution = 0;
		for (int i = 0; i < values.length; i++) {
			solution -= values[i] * Math.sin(Math.sqrt(Math.abs(values[i])));
		}
		return solution;
	}

}
